### Virtual Method

# Ide TreeAddin build_children_async

#### Declaration

    void
    build_children_async (
      IdeTreeAddin* self,
      IdeTreeNode* node,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function is called when building the children of a node. This happens when expanding an node that might have children, or building the root node.

You may want to use `ide_tree_node_holds()` to determine if the node contains an item that you are interested in.

This function will call the synchronous form of IdeTreeAddin.build_children() if no asynchronous form is available.

Available since: | 3.32

#### Parameters

`node` | `IdeTreeNode`
| A `IdeTreeNode`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` or `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.